### Method

# Fwupd Device set_branch

since: 1.5.0

#### Declaration [src]

    void
    fwupd_device_set_branch (
      FwupdDevice* self,
      const gchar* branch
    )

#### Description [src]

Sets the current device branch.

Available since: 1.5.0

#### Parameters

`branch`

  Type: `const gchar*`

  The device one line branch.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.